## com.vividsolutions.jts.noding
Class MCIndexNoder.SegmentOverlapAction

    java.lang.Object
      com.vividsolutions.jts.index.chain.MonotoneChainOverlapAction
          com.vividsolutions.jts.noding.MCIndexNoder.SegmentOverlapAction

Enclosing class:
  MCIndexNoder

public class MCIndexNoder.SegmentOverlapAction
extends MonotoneChainOverlapAction

Field Summary

Fields inherited from class com.vividsolutions.jts.index.chain.MonotoneChainOverlapAction
`overlapSeg1, overlapSeg2`

Constructor Summary
`MCIndexNoder.SegmentOverlapAction(SegmentIntersector si)`

Method Summary
`void` `overlap(MonotoneChain mc1, int start1, MonotoneChain mc2, int start2)` This function can be overridden if the original chains are needed

Methods inherited from class com.vividsolutions.jts.index.chain.MonotoneChainOverlapAction
`overlap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MCIndexNoder.SegmentOverlapAction

    public MCIndexNoder.SegmentOverlapAction(SegmentIntersector si)

Method Detail

### overlap

    public void overlap(MonotoneChain mc1,
                        int start1,
                        MonotoneChain mc2,
                        int start2)

  Description copied from class: `MonotoneChainOverlapAction`
  This function can be overridden if the original chains are needed

  Overrides:
    `overlap` in class `MonotoneChainOverlapAction`
  Parameters:
    `start1` - the index of the start of the overlapping segment from mc1
    `start2` - the index of the start of the overlapping segment from mc2